
Name:          open-xchange-guard-munin-scripts-jolokia
BuildArch:	   noarch
#!BuildIgnore: post-build-checks
%if 0%{?rhel_version} && 0%{?rhel_version} >= 700
BuildRequires: ant
%else
BuildRequires: ant-nodeps
%endif
%if 0%{?rhel_version} && 0%{?rhel_version} == 600
BuildRequires: java7-devel
%else
BuildRequires: java-devel >= 1.7.0
%endif
Version:	   2.6.0
%define        ox_release 5
Release:       %{ox_release}_<CI_CNT>.<B_CNT>
Group:         Applications/Productivity
License:       GNU General Public License (GPL)
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
URL:           http://www.open-xchange.com/
Source:        %{name}_%{version}.orig.tar.bz2
Summary:       Open-Xchange Guard Munin scripts
Autoreqprov:   no
Requires:      munin-node, perl-JSON, perl-libwww-perl
Conflicts:     open-xchange-guard-munin-scripts

%description
Munin is a highly flexible and powerful solution used to create graphs of
virtually everything imaginable throughout your network, while still
maintaining a rattling ease of installation and configuration.

This package contains Open-Xchange plugins for the Munin node.

Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
RRDtool. To see a real example of Munin in action, you can follow a link
from <http://munin.projects.linpro.no/> to a live installation.

Authors:
--------
    Open-Xchange


%prep
%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
ant -lib build/lib -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -f build/build.xml clean build

%post
TMPFILE=`mktemp /tmp/munin-node.configure.XXXXXXXXXX`
munin-node-configure --libdir /usr/share/munin/plugins/ --shell > $TMPFILE || :
if [ -f $TMPFILE ] ; then
  sh < $TMPFILE
  rm -f $TMPFILE
fi
find -L /etc/munin/plugins -name 'ox_*' -type l -delete
/etc/init.d/munin-node restart || :
exit 0


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%dir /usr/share/munin
/usr/share/munin/plugins/
%dir /etc/munin/
%dir /etc/munin/plugin-conf.d/
%config(noreplace) /etc/munin/plugin-conf.d/*

%changelog
* Fri Nov 25 2016 Martin Schneider <martin.schneider@open-xchange.com>
Second release candidate for 2.6.0 release
* Thu Nov 24 2016 Martin Schneider <martin.schneider@open-xchange.com>
First release candidate for 2.6.0 release
* Tue Nov 15 2016 Martin Schneider <martin.schneider@open-xchange.com>
Third preview of 2.6.0 release
* Sat Oct 29 2016 Martin Schneider <martin.schneider@open-xchange.com>
Second preview of 2.6.0 release
* Fri Oct 14 2016 Martin Schneider <martin.schneider@open-xchange.com>
First preview of 2.6.0 release
* Wed Oct 12 2016 Martin Schneider <martin.schneider@open-xchange.com>
prepare for 2.6.0 release
* Tue Jul 12 2016 Martin Schneider <martin.schneider@open-xchange.com>
Second candidate for 2.4.2 release
* Wed Jul 06 2016 Martin Schneider <martin.schneider@open-xchange.com>
First candidate for 2.4.2 release
* Wed Jun 29 2016 Martin Schneider <martin.schneider@open-xchange.com>
Second preview for 2.4.2 release
* Thu Jun 16 2016 Martin Schneider <martin.schneider@open-xchange.com>
First candidate for 2.4.2 release
* Thu Jun 16 2016 Martin Schneider <martin.schneider@open-xchange.com>
prepare for 2.4.2
* Wed Mar 30 2016 Martin Schneider <martin.schneider@open-xchange.com>
Second candidate for 2.4.0 release
* Thu Mar 24 2016 Martin Schneider <martin.schneider@open-xchange.com>
First candidate for 2.4.0 release
* Wed Mar 16 2016 Martin Schneider <martin.schneider@open-xchange.com>
Fifth preview of 2.4.0 release
* Fri Mar 04 2016 Martin Schneider <martin.schneider@open-xchange.com>
Fourth preview of 2.4.0 release
* Sat Feb 20 2016 Martin Schneider <martin.schneider@open-xchange.com>
Third candidate for 2.4.0 release
* Fri Feb 05 2016 Martin Schneider <martin.schneider@open-xchange.com>
Second candidate for 2.4.0 release
* Fri Feb 05 2016 Martin Schneider <martin.schneider@open-xchange.com>
First candidate for 2.4.0 release
* Sat Apr 11 2015 Martin Schneider <martin.schneider@open-xchange.com>
prepare for 2.4.0
